Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## com.opensymphony.xwork2.validator.annotations
Annotation Type StringLengthFieldValidator

    @Target(value=METHOD)
    @Retention(value=RUNTIME)
    public @interface StringLengthFieldValidator

This validator checks that a String field is of the right length. It assumes that the field is a String. If neither minLength nor maxLength is set, nothing will be done.

Annotation usage:

The annotation must be applied at method level.

Annotation parameters:

Parameter | Required | Default | Notes
--- | --- | --- | ---
message | yes |  | field error message
key | no |  | i18n key from language specific properties file.
messageParams | no |  | Additional params to be used to customize message - will be evaluated against the Value Stack
fieldName | no |  |
shortCircuit | no | false | If this validator should be used as shortCircuit.
type | yes | ValidatorType.FIELD | Enum value from ValidatorType. Either FIELD or SIMPLE can be used here.
trim | no | true | Boolean property. Determines whether the String is trimmed before performing the length check.
minLength | no |  | Integer property. The minimum length the String must be.
minLengthExpression | no |  | OGNL expression used to obtain the minimum length the String must be.
maxLength | no |  | Integer property. The maximum length the String can be.
maxLengthExpression | no |  | OGNL expression used to obtain the maximum length the String can be.

If neither minLength nor maxLength is set, nothing will be done.

Example code:

     @StringLengthFieldValidator(message = "Default message", key = "i18n.key", shortCircuit = true, trim = true, minLength = "5",  maxLength = "12")

Version:
  $Id$
Author:
  Rainer Hermanns

Optional Element Summary
`String` | `fieldName` The optional fieldName for SIMPLE validator types.
`String` | `key` The message key to lookup for i18n.
`String` | `maxLength` Integer property.
`String` | `maxLengthExpression` The maximum length the String can be defined as an expression
`String` | `message` The default error message for this validator.
`String[]` | `messageParams` Additional params to be used to customize message - will be evaluated against the Value Stack
`String` | `minLength` Integer property.
`String` | `minLengthExpression` The minimum length the String must be defined as an expression
`boolean` | `shortCircuit` If this is activated, the validator will be used as short-circuit.
`boolean` | `trim` Boolean property.
`String` | `trimExpression` Determines whether the String is trimmed before performing the length check but defined as an expression
`ValidatorType[]` | `type` The validation type for this field/method.

### trim

    public abstract boolean trim

  Boolean property. Determines whether the String is trimmed before performing the length check.

  Default:
    true

### trimExpression

    public abstract String trimExpression

  Determines whether the String is trimmed before performing the length check but defined as an expression

  Default:
    ""

### minLength

    public abstract String minLength

  Integer property. The minimum length the String must be.

  Default:
    ""

### minLengthExpression

    public abstract String minLengthExpression

  The minimum length the String must be defined as an expression

  Default:
    ""

### maxLength

    public abstract String maxLength

  Integer property. The maximum length the String can be.

  Default:
    ""

### maxLengthExpression

    public abstract String maxLengthExpression

  The maximum length the String can be defined as an expression

  Default:
    ""

### message

    public abstract String message

  The default error message for this validator. NOTE: It is required to set a message, if you are not using the message key for 18n lookup!

  Default:
    ""

### key

    public abstract String key

  The message key to lookup for i18n.

  Default:
    ""

### messageParams

    public abstract String[] messageParams

  Additional params to be used to customize message - will be evaluated against the Value Stack

  Default:
    {}

### fieldName

    public abstract String fieldName

  The optional fieldName for SIMPLE validator types.

  Default:
    ""

### shortCircuit

    public abstract boolean shortCircuit

  If this is activated, the validator will be used as short-circuit. Adds the short-circuit="true" attribute value if `true`.

  Default:
    false

### type

    public abstract ValidatorType[] type

  The validation type for this field/method.

  Default:
    com.opensymphony.xwork2.validator.annotations.ValidatorType.FIELD

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

Copyright © 2000–2017 Apache Software Foundation. All rights reserved.